> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve a Transaction

GET https://api.withpersona.com/api/v1/transactions/{transaction-id}

Retrieves the details of an existing Transaction.

Reference: https://docs.withpersona.com/api-reference/transactions/retrieve-a-transaction

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `transaction-id` (string, required) — ID of the transaction to retrieve.

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a Transaction object and (optionally) its related objects in `included`.

- `data` (transaction, required)
- `included` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaIncludedItems, optional)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### transaction

- `id` (string, optional) — Unique identifier for this Transaction. Starts with `txn_`.
- `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes, optional)
- `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships, optional)

### TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaIncludedItems

- `type` (string, required)
- `id` (string, required)

### TransactionsTransactionIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes

- `status` (string, optional)
- `reference-id` (string, optional, nullable)
- `fields` (map from string to any, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Transaction Type for this Transaction.
- `tags` (list of string, optional)
- `signals` (map from string to any, optional) — Risk signals computed for this Transaction, keyed by signal name. Only present for Transactions whose Transaction Type has Sentinel enabled; signals appear once the Sentinel session has been processed. Specific keys are not enumerated in the public spec and may be added or removed over time. Contact your Persona account team for more information.
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships

- `reviewer` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer, optional) — The entity that reviewed the transaction
- `transaction-label` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel, optional)
- `transaction-type` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType, optional)
- `related-objects` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects, optional) — Objects involved in this Transaction's related Workflow runs.
- `sentinel-sessions` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions, optional) — The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions.

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer

The entity that reviewed the transaction

- `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel

- `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType

- `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects

Objects involved in this Transaction's related Workflow runs.

- `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions

The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions.

- `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData

- `type` (string, optional)
- `id` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData

- `type` ("transaction-label", optional)
- `id` (string, optional) — Unique identifier for this Transaction Label. Starts with `txnl_`.

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData

- `type` ("transaction-type", optional)
- `id` (string, optional) — Unique identifier for this Transaction Type. Starts with `txntp_`.

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems

- `type` (string, optional)
- `id` (string, optional) — Unique identifier for this object.

### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems

- `type` ("sentinel-session", optional)
- `id` (string, optional) — Unique identifier for this Sentinel Session. Starts with `snts_`.

## Examples

**Response**

```json
{
  "data": {
    "id": "txn_ABC123",
    "attributes": {
      "status": "declined",
      "reference-id": null,
      "fields": {
        "back-photo": {
          "type": "file",
          "value": {
            "byte-size": 237011,
            "filename": "image.png",
            "mime-type": "image/png",
            "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
          }
        },
        "country": {
          "type": "string",
          "value": "US"
        },
        "front-photo": {
          "type": "file",
          "value": {
            "byte-size": 237011,
            "filename": "image.png",
            "mime-type": "image/png",
            "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
          }
        },
        "name-first": {
          "type": "string",
          "value": "LeBron"
        },
        "name-last": {
          "type": "string",
          "value": "James"
        },
        "selected-id-class": {
          "type": "string",
          "value": "dl"
        }
      },
      "tags": [],
      "created-at": "2023-05-26T16:49:33.860Z",
      "updated-at": "2023-05-26T16:49:43.965Z"
    },
    "relationships": {
      "reviewer": {
        "data": {
          "type": "workflow-run",
          "id": "wfr_ABC123"
        }
      },
      "transaction-label": {
        "data": null
      },
      "transaction-type": {
        "data": {
          "type": "transaction-type",
          "id": "txntp_ABC123"
        }
      },
      "related-objects": {
        "data": [
          {
            "type": "account",
            "id": "act_ABC123"
          },
          {
            "type": "verification/government-id",
            "id": "ver_ABC123"
          }
        ]
      },
      "sentinel-sessions": {
        "data": []
      }
    },
    "type": "transaction"
  },
  "included": [
    {
      "type": "account",
      "id": "act_ABC123",
      "attributes": {
        "country-code": null,
        "created-at": "2023-05-26T16:49:35.000Z",
        "fields": {
          "address": {
            "type": "hash",
            "value": {
              "city": {
                "type": "string",
                "value": null
              },
              "country-code": {
                "type": "string",
                "value": null
              },
              "postal-code": {
                "type": "string",
                "value": null
              },
              "street-1": {
                "type": "string",
                "value": null
              },
              "street-2": {
                "type": "string",
                "value": null
              },
              "subdivision": {
                "type": "string",
                "value": null
              }
            }
          },
          "birthdate": {
            "type": "date",
            "value": null
          },
          "email-address": {
            "type": "string",
            "value": null
          },
          "identification-numbers": {
            "type": "array",
            "value": []
          },
          "name": {
            "type": "hash",
            "value": {
              "first": {
                "type": "string",
                "value": null
              },
              "last": {
                "type": "string",
                "value": null
              },
              "middle": {
                "type": "string",
                "value": null
              }
            }
          },
          "phone-number": {
            "type": "string",
            "value": null
          },
          "selfie-photo": {
            "type": "file",
            "value": null
          }
        },
        "redacted-at": null,
        "reference-id": null,
        "tags": [],
        "updated-at": "2023-05-26T16:49:35.000Z"
      }
    },
    {
      "type": "verification/government-id",
      "id": "ver_ABC123",
      "attributes": {
        "back-photo-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
        "capture-method": "api",
        "capture-methods": {
          "back": "api",
          "front": "api"
        },
        "checks": [
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_aamva_database_lookup",
            "reasons": [
              "disabled"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_account_comparison",
            "reasons": [
              "no_account"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_age_comparison",
            "reasons": [
              "missing_birthdate"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_barcode_detection",
            "reasons": [
              "barcode_not_decoded"
            ],
            "requirement": "not_required",
            "status": "failed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_barcode_inconsistency_detection",
            "reasons": [
              "barcode_not_decoded"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_blur_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_color_inconsistency_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_disallowed_country_detection",
            "reasons": [
              "no_country"
            ],
            "requirement": "required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {
              "country-code": null,
              "detected-id-designations": [],
              "disallowed-id-designations": []
            },
            "name": "id_disallowed_type_detection",
            "reasons": [
              "type_not_detected"
            ],
            "requirement": "required",
            "status": "failed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_double_side_detection",
            "reasons": [
              "side_submitted_twice"
            ],
            "requirement": "not_required",
            "status": "failed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_electronic_replica_detection",
            "reasons": [
              "replica_detected"
            ],
            "requirement": "not_required",
            "status": "failed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_entity_detection",
            "reasons": [
              "cannot_verify_id"
            ],
            "requirement": "required",
            "status": "failed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_expired_detection",
            "reasons": [
              "no_expiration_date"
            ],
            "requirement": "required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {
              "check-requirements": []
            },
            "name": "id_extraction_inconsistency_detection",
            "reasons": [
              "missing_properties"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_extracted_properties_detection",
            "reasons": [
              "no_required_properties"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_fabrication_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_glare_detection",
            "reasons": [
              "too_much_glare"
            ],
            "requirement": "not_required",
            "status": "failed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_handwriting_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_inquiry_comparison",
            "reasons": [
              "no_inquiry"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_mrz_detection",
            "reasons": [],
            "requirement": "required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_mrz_inconsistency_detection",
            "reasons": [
              "mrz_not_found"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_number_format_inconsistency_detection",
            "reasons": [
              "invalid_country"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_po_box_detection",
            "reasons": [
              "missing_address"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_portrait_clarity_detection",
            "reasons": [],
            "requirement": "required",
            "status": "not_applicable"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_portrait_detection",
            "reasons": [
              "portrait_not_found"
            ],
            "requirement": "required",
            "status": "failed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_real_id_detection",
            "reasons": [
              "disabled"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_tamper_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "user_action_required",
            "metadata": {},
            "name": "id_unprocessable_submission_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_valid_dates_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_age_inconsistency_detection",
            "reasons": [
              "disabled"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_compromised_detection",
            "reasons": [],
            "requirement": "required",
            "status": "passed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_inconsistent_repeat_detection",
            "reasons": [
              "not_enabled"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_public_figure_detection",
            "reasons": [],
            "requirement": "not_required",
            "status": "passed"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_repeat_detection",
            "reasons": [
              "not_enabled"
            ],
            "requirement": "not_required",
            "status": "not_applicable"
          },
          {
            "category": "fraud",
            "metadata": {},
            "name": "id_selfie_comparison",
            "reasons": [
              "no_selfie"
            ],
            "requirement": "required",
            "status": "not_applicable"
          }
        ],
        "completed-at": "2023-05-26T16:49:43.000Z",
        "completed-at-ts": 1685119783,
        "country-code": null,
        "created-at": "2023-05-26T16:49:43.000Z",
        "created-at-ts": 1685119783,
        "endorsements": null,
        "entity-confidence-reasons": [
          "generic"
        ],
        "entity-confidence-score": 0,
        "expiration-date": null,
        "front-photo-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
        "id-class": null,
        "photo-urls": [
          {
            "byte-size": 62347,
            "normalized-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
            "original-urls": [
              "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
            ],
            "page": "front",
            "url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123"
          },
          {
            "byte-size": 62347,
            "normalized-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
            "original-urls": [
              "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
            ],
            "page": "back",
            "url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123"
          }
        ],
        "restrictions": null,
        "selfie-photo": null,
        "selfie-photo-url": null,
        "status": "failed",
        "submitted-at": "2023-05-26T16:49:43.000Z",
        "submitted-at-ts": 1685119783,
        "vehicle-class": null,
        "video-url": null
      },
      "relationships": {
        "document": {
          "data": {
            "id": "doc_ABC123",
            "type": "document/government-id"
          }
        },
        "inquiry": {
          "data": null
        },
        "inquiry-template": {
          "data": null
        },
        "inquiry-template-version": {
          "data": null
        },
        "template": {
          "data": null
        },
        "verification-template": {
          "data": {
            "id": "vtmpl_ABC123",
            "type": "verification-template/government-id"
          }
        },
        "verification-template-version": {
          "data": {
            "id": "vtmplv_ABC123",
            "type": "verification-template-version/government-id"
          }
        }
      }
    }
  ]
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/transactions/transaction-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/transactions/transaction-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/transactions/transaction-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/transactions/transaction-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/transactions/transaction-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/transactions/transaction-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/transactions/transaction-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/transactions/transaction-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```